module Cally
  class User < ActiveRecord::Base
 
    has_secure_password
    before_save { self.email = email.downcase }
    before_save { self.security_answer = security_answer.downcase }
    validates :username, presence: true, length: { minimum: 3, maximum: 25 }, uniqueness: { case_sensitive: false }
    validates :email, presence: true, uniqueness: { case_sensitive: false }, format: { with: /\A[\w+\-.]+@[a-z\d\-.]+\.[a-z]+\z/i }
    validates :password, length: { minimum: 15 }, allow_nil: true
    validates :security_question, presence: true
    validates :security_answer, presence: true, uniqueness: { case_sensitive: false }
  end
end
