Cally::Engine.routes.draw do

  ### application routes ###
  
    resources :users
    get 'login', to: 'users#login'
    post 'login', to: 'session#create'
    delete 'logout', to: 'session#destroy'
    post 'toggle_admin/:id', as: 'toggle_admin', to: 'users#toggle_admin'
    get 'forgot_password', as: 'forgot_password', to: 'users#forgot_password'
    post 'forgot_password', to: 'users#ask_security_question'
    get 'reset_password/:user_key/:reset_key', as: 'reset', to: 'users#reset'
    put 'forgot_password', to: 'users#reset_password'
    post 'reset_password', as: 'execute_reset', to: 'users#execute_reset'
    #get 'reset', as: 'reset', to: 'users#reset'
    #get 'reset/:user_key/:reset_key', as: 'reset', to: 'users#reset'
    #post 'reset/:user_key/:reset_key', to: 'users#execute_reset'
    get 'invitations', to: 'invitations#new', as: 'invitation' 
    post 'invitations', to: 'invitations#create'
    get 'invitations/all', as: 'all_invitations', to: 'invitations#index'
    delete 'invitations/:id', as: 'delete_invitation', to: 'invitations#destroy'
    get 'send_invitation/:id', to: 'invitations#send_invitation', as: 'send_invitation'
    get 'invitation/(:invitation_key)', to: 'users#new', as: 'invite
    '
  ### end application routes ###

end

