module Cally
  class Engine < ::Rails::Engine
    isolate_namespace Cally
    require 'bcrypt'#, '~>3.1.7'
    require 'omw_random_string'
    require 'omw_mailgun'
    require 'jquery-rails'
    require 'delorean'
    require 'bootstrap-sass'
    require 'sass-rails'
    require 'will_paginate'

    config.to_prepare do
      Dir.glob(Rails.root+ "app/decorators/**/*_decorator*.rb").each do |c|
        require_dependency(c)
      end
    end

    config.before_initialize do
      ActiveSupport.on_load :application_controller do
        helper Cally::Engine.helpers
      end
    end

    initializer "cally.load_helpers" do
      ActiveSupport.on_load(:application_controller) do
        include Cally::Methods
      end
    end
  end
end
