#helper_method :current_user, :logged_in?, :is_admin?, :is_first_user?
 module Cally
   module Methods

      def same_user?
        # checks if the loggedin user is the same as the user requesting this action
        if logged_in? && current_user == @user
          return true
        else
          flash[:error] = 'You can only view your own profile.'
          redirect_to cally.login_path
          return false
        end
      end

      def logged_in_as_admin?
        # checks if the loggedin user has administrator rights
        if logged_in? && current_user.admin
          return true
        else
          flash[:error] = 'You need to be admin for this action.'
          if logged_in?
            redirect_to cally.user_path(current_user)
          else
            redirect_to cally.login_path
          end
          return false
        end
      end

      def admin_or_same_user?
        # checks if the user loggedin is the same user requesting the action
        # or the user is administrator
        if logged_in? && (current_user == @user || current_user.admin)
          return true
        else
          flash[:error] = 'You can only perform this action as your own or an admin account.'
          if logged_in?
            redirect_to cally.user_path(current_user)
          else
            redirect_to cally.login_path
          end
        end
      end
                              
      def test_env?
        if Rails.env.development? || Rails.env.production?
          return false
        else
          return true
        end
      end

      def set_mailgun_prefix
        @mailgun_prefix = ENV['MAILGUN_PREFIX'] || 'cally/'
      end
   end
 end
